Hooks
Toggle Hook
Enable or disable a hook
POST
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Enable or disable a hook
curl -X POST "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}/toggle" \
-H "X-API-Key: trusset_your_key_here" \
-H "Content-Type: application/json" \
-d '{"active": false}'
{
"success": true,
"data": {
"id": "hook_002",
"active": false
}
}
true to enable, false to disable.curl -X POST "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}/toggle" \
-H "X-API-Key: trusset_your_key_here" \
-H "Content-Type: application/json" \
-d '{"active": false}'
{
"success": true,
"data": {
"id": "hook_002",
"active": false
}
}
curl -X POST "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}/toggle" \
-H "X-API-Key: trusset_your_key_here" \
-H "Content-Type: application/json" \
-d '{"active": false}'
{
"success": true,
"data": {
"id": "hook_002",
"active": false
}
}
